<?php

namespace EventPortal\Domain\Team\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\Team\Models\Team;

class AssignTeams
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $teams = Team::find($payload->pluckArrayValues('teams'));

        $payload->getModel()->teams()->sync($teams);

        return $next($payload);
    }
}
